<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number73</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.72:</b> Write a JavaScript program to reverse the elements of a given array of integers length 3 or more </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num" placeholder="Numbers of array`s elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	<script>
		function generate() {
			var num = + document.getElementById('num').value;
			var arr = [];
			if (num>0) {
				for (i=0 ; i<num ; i++) {
					arr.push(prompt("Enter Element Number" + (i+1)));
					arr.map(Number);
				}
				document.getElementById('demo').innerHTML=
					"The array you entered is:<br>[ " + arr.join(" ,") + " ]" +
					"<br>and reverse it result that: <br>[ " + arr.reverse().join(" ,") + " ]";
			} else {
				document.getElementById('demo').innerHTML=
					"Negative Values are not allowed"
			}
		}
	</script>
</body>
</html>
